import request from '@/utils/request'

// 查询分销记录列表
export function listConsumeLog(query) {
  return request({
    url: '/cai/consumeLog/list',
    method: 'get',
    params: query
  })
}

// 查询分销记录详细
export function getConsumeLog(id) {
  return request({
    url: '/cai/consumeLog/' + id,
    method: 'get'
  })
}


export function getConsumeLogTraceId(traceId) {
  return request({
    url: '/cai/consumeLog/trace',
    method: 'get',
    params:{traceId}
  })
}

// 修改分销记录
export function fenxiaoConsumeLog(id) {
  return request({
    url: '/cai/consumeLog/consumer',
    method: 'get',
    params: {id}
  })
}

// 删除分销记录
export function delConsumeLog(id) {
  return request({
    url: '/cai/consumeLog/' + id,
    method: 'delete'
  })
}
